> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/medication/medication-create.md).

# Medication Create

| **API URL**     | {{url}}/admin-service/medication/create |
| --------------- | --------------------------------------- |
| **Method**      | POST                                    |
| **Description** | Creation of the Medication              |

#### **Sample Input** <a href="#medicationcreate-v2-sampleinput" id="medicationcreate-v2-sampleinput"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| countryId              | Integer  | Yes           | Country id                                                                                                                              |
| classificationId       | Bigint   | Yes           | Classification Id                                                                                                                       |
| dosageFormId           | Bigint   | Yes           | DosageForm Id                                                                                                                           |
| brandId                | Bigint   | Yes           | Brand Id                                                                                                                                |
| classificationName     | String   | Yes           | Classification Name                                                                                                                     |
| brandName              | String   | Yes           | Brand Name                                                                                                                              |
| dosageFormName         | String   | Yes           | Dosage Form Name                                                                                                                        |
| codeDetails            | String   | Yes           | Code Details                                                                                                                            |
| code                   | Bigint   | Yes           | Labtest code                                                                                                                            |
| url                    | String   | Yes           | Lab test URL                                                                                                                            |
| name                   | String   | Yes           | Medication name to create                                                                                                               |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | web                                                                                                                                     |

```
[{
  "countryId": 1,
  "classificationId": 1,
  "classificationName": "Diuretic",
  "brandId": 1,
  "brandName": "Antibiotics",
  "name": "Medication One",
  "codeDetails": {
    "code": "medi",
    "url": "https://spice-dev.sl.labsplatform.com/region/1/1/medication/create"
  },
  "dosageFormId": 2,
  "dosageFormName": "Liquid"
}]
```

#### **Sample Output** <a href="#medicationcreate-v2-sampleoutput" id="medicationcreate-v2-sampleoutput"></a>

| **Field Name** | **Type** | **Comments**                    |
| -------------- | -------- | ------------------------------- |
| message        | String   | Medication created successfully |
| status         | Boolean  | Medication validation status    |

```
{
  "message": "Medication created successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/medication/medication-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
